GDB (xrefs)

Public Attributes | List of all members
lm_info_target Struct Reference
Inheritance diagram for lm_info_target:

## Public Attributes
std::string | name
std::vector< CORE_ADDR > | segment_bases
std::vector< CORE_ADDR > | section_bases
section_offsets * | offsets = NULL

## Detailed Description

Definition at line 31 of file solib-target.c.

## Member Data Documentation

## ◆ name

std::string lm_info_target::name

Definition at line 35 of file solib-target.c.

Referenced by library_list_start_library(), solib_target_current_sos(), and solib_target_free_so().

## ◆ offsets

section_offsets* lm_info_target::offsets = NULL

Definition at line 50 of file solib-target.c.

Referenced by solib_target_relocate_section_addresses().

## ◆ section_bases

std::vector<CORE_ADDR> lm_info_target::section_bases

Definition at line 46 of file solib-target.c.

Referenced by library_list_end_library(), library_list_start_section(), library_list_start_segment(), and solib_target_relocate_section_addresses().

## ◆ segment_bases

std::vector<CORE_ADDR> lm_info_target::segment_bases

Definition at line 42 of file solib-target.c.

Referenced by library_list_end_library(), library_list_start_section(), library_list_start_segment(), and solib_target_relocate_section_addresses().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/solib-target.c